CK_RHS_STAT(3)

NAME
ck_rhs_stat - get hash set status

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>
void
ck_rhs_stat(ck_rhs_t *hs, struct ck_rhs_stat *st);

DESCRIPTION
The ck_rhs_stat(3) function will store various hash set statistics in the object pointed to by st. The ck_rhs_stat structure is defined as follows:

    struct ck_rhs_stat {
    	unsigned long n_entries;    /* Current number of keys in hash set. */
    	unsigned int probe_maximum; /* Longest read-side probe sequence. */
    };

RETURN VALUES
ck_rhs_stat(3) has no return value.

ERRORS
Behavior is undefined if hs is uninitialized. Behavior is undefined if this function is called by a non-writer thread.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), ck_rhs_destroy(3), CK_RHS_HASH(3), ck_rhs_iterator_init(3), ck_rhs_next(3), ck_rhs_get(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_remove(3), ck_rhs_grow(3), ck_rhs_gc(3), ck_rhs_rebuild(3), ck_rhs_count(3), ck_rhs_reset(3), ck_rhs_reset_size(3)

Additional information available at http://concurrencykit.org/